#989 mod_message_forced_broadcast for 0.10

Reporter Stas
Owner MattJ
Created
Updated
Stars ★ (1)  
Tags
  • Status-Fixed
  • Type-Enhancement
  • Priority-Medium
  1. Stas on

    Please adapt "mod_message_forced_broadcast" ( http://prosody.im/files/mod_message_forced_broadcast.lua ) for Prosody 0.10 (nightly builds). The existing module does fails with the following error: Sep 12 17:08:39 general warn Attempt to read a non-existent global 'modulemanager' stack traceback: ...lib/prosody/modules/mod_message_forced_broadcast.lua:27: in function '?' /usr/lib/prosody/util/events.lua:78: in function </usr/lib/prosody/util/events.lua:74> (tail call): ? /usr/bin/prosody:425: in main chunk [C]: ? Thank you.

  2. MattJ on

    You should really consider switching to a more modern client with support for Carbons. This module is a complete hack that violates the protocol and may break things in unexpected ways. However for some reason I have updated it: https://prosody.im/files/mod_message_forced_broadcast_10.lua

    Changes
    • tags Status-Fixed
    • owner MattJ

New comment

Not published. Used for spam prevention and optional update notifications.